Uploaded image for project: 'Appcelerator Studio'
  1. Appcelerator Studio
  2. TISTUD-7899

Remove hardcoded node version 4.2.1 from studio

    Details

    • Type: Bug
    • Status: Closed
    • Priority: High
    • Resolution: Fixed
    • Affects Version/s: Release 4.4.0
    • Fix Version/s: Release 4.5.0
    • Component/s: Update
    • Labels:
    • Story Points:
      2
    • Sprint:
      2015 Sprint 25 Studio

      Description

      Remove hardcoded node version 4.2.1 from studio, rather show it as "Latest" in the update wizard.

      Reproducible steps:
      1. Make sure you are not on the node version which is supported by studio. Anything lower than 0.12.7(which is min node version supported)
      2. Check for Appcelerator updates from Studio through "Help->Check for Appcelerator Updates" option
      3. Studio will show update wizard with various updates which are available.
      4. Look for node version, it shows "4.2.1" is the latest version but it installs 0.12.7 when I choose to install.

      Expected: As studio can't identify the latest node version from http://go.appcelerator.com/installer_nodejs_osx link, it's better to show "Latest" as a version text and install whatever is available.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                kkolipaka Kondal Kolipaka (Inactive)
                Reporter:
                kkolipaka Kondal Kolipaka (Inactive)
                Reviewer:
                Praveen Innamuri (Inactive)
              • Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: